# generate_wallet.py
import sys
from bip_utils import Bip39SeedGenerator, Bip44, Bip44Coins, Bip44Changes
import json

mnemonic = sys.argv[1]
seed = Bip39SeedGenerator(mnemonic).Generate()

eth = Bip44.FromSeed(seed, Bip44Coins.ETHEREUM).Purpose().Coin().Account(0).Change(Bip44Changes.CHAIN_EXT).AddressIndex(0).PublicKey().ToAddress()
tron = Bip44.FromSeed(seed, Bip44Coins.TRON).Purpose().Coin().Account(0).Change(Bip44Changes.CHAIN_EXT).AddressIndex(0).PublicKey().ToAddress()

print(json.dumps({
    "ethereum": eth,
    "tron": tron
}))
